Return version of the server

- « Memcache::getStats

- Memcache::increment »

- PHP Manual
- Memcache
- Return version of the server

# Memcache::getVersion

(PECL memcache >= 0.2.0)

Memcache::getVersion — Return version of the server

### Description

Memcache::getVersion(): string|false

Memcache::getVersion() returns a string with server's version number. Also you can use memcache_get_version() function.

### Parameters

This function has no parameters.

### Return Values

Returns a string of server version number or `false` on failure.

### Examples

Example #1 Memcache::getVersion() example

    <?php

    /* OO API */
    $memcache = new Memcache;
    $memcache->connect('memcache_host', 11211);
    echo $memcache->getVersion();

    /* procedural API */
    $memcache = memcache_connect('memcache_host', 11211);
    echo memcache_get_version($memcache);

    ?>

### See Also

- Memcache::getExtendedStats() - Get statistics from all servers in pool
- Memcache::getStats() - Get statistics of the server